commit 79431d45e2c25dc8608c8ddc6d2798dbcb79650a
Author: Stam Markianos-Wright <stam.markianos-wright@arm.com>
Date:   Thu Nov 10 16:06:47 2022

    arm: Explicitly specify other float types for _Generic overloading [PR107515]
    
    This patch adds explicit references to other float types
    to __ARM_mve_typeid in arm_mve.h.  Resolves PR 107515:
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=107515
    
    gcc/ChangeLog:
            PR target/107515
            * config/arm/arm_mve.h (__ARM_mve_typeid): Add float types.
    
    (cherry picked from commit 2fefb8931d566cc8a4cbba81601972b0d2002f95)

diff --git a/gcc/config/arm/arm_mve.h b/gcc/config/arm/arm_mve.h
index fd1876b57a0..f6b42dc3fab 100644
--- a/gcc/config/arm/arm_mve.h
+++ b/gcc/config/arm/arm_mve.h
@@ -35582,6 +35582,9 @@ enum {
 	short: __ARM_mve_type_int_n, \
 	int: __ARM_mve_type_int_n, \
 	long: __ARM_mve_type_int_n, \
+	_Float16: __ARM_mve_type_fp_n, \
+	__fp16: __ARM_mve_type_fp_n, \
+	float: __ARM_mve_type_fp_n, \
 	double: __ARM_mve_type_fp_n, \
 	long long: __ARM_mve_type_int_n, \
 	unsigned char: __ARM_mve_type_int_n, \

